/* ONSLController */

#import <Cocoa/Cocoa.h>

@interface ONSLController : NSObject
{
    IBOutlet id o_gameEditPane;
    IBOutlet id o_gameListTable;
    IBOutlet id o_mainWindow;
    IBOutlet id o_prefEditModeEnabled;
    IBOutlet id o_prefFullscreenEnabled;
    IBOutlet id o_prefGameDirectory;
    IBOutlet id o_prefGameIcon;
    IBOutlet id o_prefGameName;
    IBOutlet id o_prefGameOption;
    IBOutlet id o_prefPane;
	IBOutlet id o_logView;
	IBOutlet id o_fullscreenMode;
	IBOutlet id o_varEditMode;
	IBOutlet id o_executePath;
	IBOutlet id o_selectOnscripter;
	IBOutlet id o_terminateOnExit;
	IBOutlet id o_updateButton;
	IBOutlet id o_updateMsg;
	IBOutlet id o_updatePane;
	IBOutlet id o_updateProgress;
	IBOutlet id o_updateVersion;
	IBOutlet id o_updateCancelButton;
	IBOutlet id o_automaticUpdateCheck;
	IBOutlet id o_wheelAdvanceMode;
	IBOutlet id o_logTableView;
	IBOutlet id o_prefGameFontName;
	IBOutlet id o_logWindow;
	IBOutlet id o_prefDrawOutlined;
	BOOL quitOK;
	id mgr;
	id fontMgr;
	id updateMgr;
	BOOL isUpdateAvailable;
	int updateVersion;
	int currentVersion;
	NSURL *updateURL;
	BOOL updateFinished;
	unsigned lastLogTime;
	NSString *lastLogStr;
	int bufferLine;
	NSMutableArray *logArr;
	int fontEditStatus;
	NSMutableDictionary *toolbarItems;
}
- (IBAction)addGame:(id)sender;
- (IBAction)editGame:(id)sender;
- (IBAction)endEdit:(id)sender;
- (IBAction)removeGame:(id)sender;
- (IBAction)launchGame:(id)sender;
- (IBAction)chooseGameDirectory:(id)sender;
- (IBAction)removeIcon:(id)sender;
- (IBAction)beginCheckUpdate:(id)sender;
- (IBAction)beginUpdate:(id)sender;
- (IBAction)endUpdate:(id)sender;
- (IBAction)showFontPanel:(id)sender;
- (void)addLogText:(NSString *)str;
- (void)updateTable;
- (id)fontManager;
- (NSString *)executePath;
- (void)checkUpdate;
- (void)setProgressLimit:(int)value;
- (void)loadDataLength:(int)value;
- (void)updateFinished;
- (void)updateFailed;
@end
